Bug 58284 - RFE: handle loopback mounted ISOs via NFS
Summary: RFE: handle loopback mounted ISOs via NFS
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-12 22:00 UTC by Chris Ball
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-23 20:53:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ball 2002-01-12 22:00:17 UTC
Description of Problem:
The installer seems to assume that an NFS mount install is mounting a mirror 
of the FTP site, rather than the possibility of it mounting loopback-mounted 
ISO images.  In this case, when it gets to a package that should be on the 
second CD (in my case, tetex-fonts) it will error with a 'file not found' and 
_only_ offer the option of a retry.  I needed to look in RPMS/ on a different 
NFS mount, so this wasn't helpful.  I had to switch mountpoints in the exports 
file on the remote machine and force a remount from a shell.

Version-Release number of selected component (if applicable):
7.2

How Reproducible:
Always, I imagine.

Steps to Reproduce:
1. Perform an NFS install, mounting ISO images.
2. Choose packages from the second CD as well as the first.
3. Wait until a package from the second CD is needed.

Actual Results:
A dialog box offering 'OK to re-try'. 

Expected Results:
The option of checking in a different location, or at least a 'cancel' button.

Additional Information:

Comment 1 Jeremy Katz 2002-01-15 19:13:53 UTC
Considering for a future release

Comment 2 Erik Troan 2002-02-15 16:16:45 UTC
Next release will allow mounting multiple ISO images from a single directory
(just drop the CD iso files in one place, point NFS at that dir, and proceed).
This should address your concern.


Note You need to log in before you can comment on or make changes to this bug.